{

	//Buff概率测试

    "AbilityName" : "TestPlayer_Ability_Tianheng_16",

    "AbilityStacking": "Unique",



    "DefaultModifier" :

    {

        //OnAttackLanded时伤害已经结算了，感电Buff在当前一击就无法生效

        //OnHitOther,OnHitOtherPre可以

        "OnAttackLanded" :

        [

            {

                "$type" : "MoleMole.ApplyModifier",

                "ModifierName" : "BurnBuffModifier",

                "Target" : "Target",

                "Predicates" :

                [

                	{

                		"$type": "MoleMole.ByAnimatorEventIDs",

                		"AnimatorEventIDs": 

                		[

                			"Anbi_Electric_Attack_Normal_01_AttackProperty_01"

                		]

                	},

                    // //这个Predicate不生效

                    // {

                    //     "$type": "MoleMole.ByTotalDamage",

                    //     "Target" : "Self",

                    //     "CompareType": "Greater",

                    //     "Damage": 0

                    // },

                ]

            }

        ]

    },



    "Modifiers" : 

    {

        "BurnBuffModifier": 

        {

            "Duration": 30.0,

            "Buff": 

            {

                "BuffID": 123003, //脆弱

                "IsOverrideDuration" : true,

                "IsOverrideOdds" : true,

                "Odds" : 1.0

            }

        }

    }

}